# Preictal and interictal neuronal activity from the medial temporal lobe of patients with focal epilepsy

## Summary
This dataset contains the binned activity times series of intracranial recordings from n=20 patients with medically intractable focal epilepsy. The data was recorded at the Department of Epileptology at the University of Bonn Medical Center. For pre-surgical evaluation, patients were implanted with depth electrodes in different regions of the medial temporal lobe, including hippocampus (H), amygdala (A), parahippocampal cortex (PHC) and entorhinal cortex (EC). 

For each patient, the dataset contains one 10-minute reference recording (interictal), obtained in a seizure-free interval, as well as several pre-ictal recordings, spanning 10 minutes prior to seizure onset. Pre-ictal recordings end at seizure onset.

The binned activity is defined as the number of recorded active neurons in a certain brain area in discrete time bins of 4 ms. For each recording, we provide the binned activities in left and right hippocampus (LH/RH), amygdala (LA/RA), parahippocampal cortex (LPHC/RPHC), entorhinal cortex (LEC/REC), and the full medial temporal lobe (left/right).
For more details on the data acquisition and pre-processing, see [ref].


## Repository structure

### Data
* patients.txt contains a list of patientIDs, the location of the epileptic focus and the surgery outcome
* preIct_recordings_patients.txt contains a list of all preictal recordings and the corresponding patientID
* interictal/* contains all interictal (reference) recordings
* preictal/* contains all preictal recordings


### Python Code
Python scripts to estimate the distance to criticality using the Multistep Regression estimator [ref] and to reproduce the results shown in [ref].

## Cite as
Reference: Assessing criticality in pre-seizure single neuron activity of human epileptic cortex.

## Related Publications
* Reference: Assessing criticality in pre-seizure single neuron activity of human epileptic cortex.
* Reference: MR estimator

## Licensing
See `LICENSE.txt` for the full license.